<?php

if (!function_exists('getFormattedFileSize')) {
    function getFormattedFileSize($size, $precision = 2): string
    {
        return match ( true ) {
            $size / 1024 < 1 => $size . 'B',
            $size / ( 1024 ** 2 ) < 1 => round($size / 1024, $precision) . 'KB',
            $size / ( 1024 ** 3 ) < 1 => round($size / ( 1024 ** 2 ), $precision) . 'MB',
            $size / ( 1024 ** 4 ) < 1 => round($size / ( 1024 ** 3 ), $precision) . 'GB',
            $size / ( 1024 ** 5 ) < 1 => round($size / ( 1024 ** 4 ), $precision) . 'TB',
            default => 'Error: invalid input or file is too large.',
        };
    }
}