<?php

namespace App\Http\Requests\Orion;

use Illuminate\Foundation\Http\FormRequest;

class GetShowsLinks extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            "season_number" => 'required|min:1|numeric',
            "episode_number" => "required|min:1|numeric",
            "imdb_id" => "required|string",
            "tmdb_id" => "nullable|string",
            "tvdb_id" => "nullable|string",
            "searchType" => "required|in:show|string",
        ];
    }
}
