<?php

namespace App\Http\Requests\Orion;

use Illuminate\Foundation\Http\FormRequest;

class ManualSearchRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules(): array
    {
        return [
            'search' => 'string|min:2|max:255|required',
            'movies' => 'sometimes|required|in:on',
            "shows" => 'sometimes|required|in:on',
            "episodes" => 'sometimes|required|in:on',
        ];
    }
}
