<?php

namespace App\Http\Requests\Orion;

use Illuminate\Foundation\Http\FormRequest;

class RequestLink extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'type' => 'required|string',
            'imdbid' => 'required|string|starts_with:tt',
            'tmdbid' => 'nullable|string',
            'tvdbid' => 'nullable|string',
            'episode_number' => 'required_if:type,show|numeric',
            'season_number' => 'required_if:type,show|numeric',
            'magnet' => 'required|starts_with:magnet'
        ];
    }
}
