<div class="px-4 sm:px-6 lg:px-8">
	<div class="mt-8 flex flex-col">
		<div class="-my-2 -mx-4 overflow-x-auto sm:-mx-6 lg:-mx-8">
			<div class="inline-block min-w-full py-2 align-middle md:px-6 lg:px-8">
				<div class="overflow-hidden shadow ring-1 ring-black ring-opacity-5 md:rounded-lg">
					<table class="min-w-full divide-y divide-gray-300">
						<thead class="bg-gray-700">
						<tr>
							<th></th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Type</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Info</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Actions</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Cached</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Video</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Audio</th>
							<th scope="col" class="px-3 py-3.5 text-center text-white text-sm font-semibold">Seeds</th>
						</tr>
						</thead>

						<tbody>
						@ray($data)
						@foreach ($data->streams as $streams)
							<tr data-key="{{ $streams->id }}" class="even:bg-gray-300 odd:bg-white">
								<td>
									<form id="{{ $streams->id }}">
										@ray($data)
										@if($data->type ==="movie")
											<input type="hidden" name="imdbid" value="tt{{ $data->movie->id->imdb }}">
											<input type="hidden" name="tmdbid" value="{{ $data->movie->id->tmdb }}">
											<input type="hidden" name="type" value="{{ $data->type }}">
											<input type="hidden" name="magnet" value="{{ $streams->links[0] }}">
										@else
											<input type="hidden" name="imdbid" value="tt{{ $data->episode->id->imdb }}">
											<input type="hidden" name="tmdbid" value="{{ $data->episode->id->tmdb }}">
											<input type="hidden" name="tvdbid" value="{{ $data->episode->id->tvdb }}">
											<input type="hidden" name="type" value="{{ $data->type }}">
											<input type="hidden" name="episode_number" value="{{ $data->episode->number->episode }}">
											<input type="hidden" name="season_number"  value="{{ $data->episode->number->season }}">
											<input type="hidden" name="magnet" value="{{ $streams->links[0] }}">
										@endif
										<button type="button" class="p-2 bg-blue-500 rounded-lg ml-2 text-white shadow-lg whitespace-nowrap hover:bg-green-400 hover:text-black" onclick="requestLink(event)">Request {{ $data->type }}</button>
									</form>
								</td>
								<td class="whitespace-nowrap py-4 pl-4 pr-3 text-sm font-medium text-gray-900 sm:pl-6">{{ $streams->stream->type }}</td>
								<td class="whitespace break-normal px-3 py-4 text-sm text-gray-500">
									{{ $streams->file->name }}<br/>
									<span class="text-sm italic">
										{{ $streams->stream->origin }} |
										{{ $streams->stream->source }} |
										{{ $streams->meta->release }} |
										{{ getFormattedFileSize($streams->file->size) }}
									</span>
								</td>
								<td class="whitespace-nowrap px-3 py-4 text-sm text-gray-500">
									@if ($streams->access->realdebrid === true && $data->type === "movie")
										<button data-href="{{ route("get.stream.url") }}" data-streamId="{{ $data->movie->id->orion }}" onclick="getStreamSample(event)">Preview Trailer</button>
									@elseif ($streams->access->realdebrid === true && $data->type === "show")
										<button data-href="{{ route("get.stream.url") }}" data-streamId="{{ $data->episode->id->orion }}" onclick="getStreamSample(event)">Preview Trailer</button>
									@else
										No Preview Available
									@endif
								</td>
								<td class="whitespace-nowrap px-3 py-4 text-sm text-gray-500">
									@if ($streams->access->realdebrid === true)
										Cached
									@else
										Not Cached
									@endif
								</td>
								<td class="whitespace-nowrap px-3 py-4 text-sm text-gray-500">Quality: {{ $streams->video->quality ?? ''  }} | Codec: {{ $streams->video->codec ?? ''  }}</td>
								<td class="whitespace-nowrap px-3 py-4 text-sm text-gray-500">Quality: {{ $streams->audio->type ?? '' }} | Channels: {{ $streams->audio->channels ?? '' }} | {{ $streams->audio->codec ?? '' }}</td>
								<td class="relative whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-6">Seeds: {{ $streams->stream->seeds }}</td>
							</tr>
						@endforeach
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
