<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Search') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="mb-10">
                <div class="hidden sm:block">
                    <nav class="isolate flex divide-x divide-gray-200 rounded-lg shadow" aria-label="Tabs" id="search_tabs">
                        <!-- Current: "text-gray-900", Default: "text-gray-500 hover:text-gray-700" -->
                        <a href="#" id="search_name" class="text-gray-900 rounded-l-lg group relative min-w-0 flex-1 overflow-hidden bg-white py-4 px-4 text-sm font-medium text-center hover:bg-gray-50 focus:z-10" aria-current="page">
                            <span>Search with Name</span>
                            <span aria-hidden="true" id="search_name_span" class="bg-indigo-500 absolute inset-x-0 bottom-0 h-0.5"></span>
                        </a>

                        <a href="#" id="search_filters" class="text-gray-500 hover:text-gray-700 group relative min-w-0 flex-1 overflow-hidden bg-white py-4 px-4 text-sm font-medium text-center hover:bg-gray-50 focus:z-10">
                            <span>Search with Filters</span>
                            <span aria-hidden="true" id="search_filter_span" class="bg-transparent absolute inset-x-0 bottom-0 h-0.5"></span>
                        </a>
                    </nav>
                </div>
            </div>

            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 bg-white">
                    <div id="manual_search">
                        <form id="manual_search_form">
                            <div class="flex flex-col items-center justify-center">
                                <p class="text-xl pb-3">Enter Search Query</p>
                                <div class="flex border-2 rounded">
                                    <input type="text"
                                           class="px-4 py-2 flex w-76 sm:w-[400px] lg:w-[600px]  border-none"
                                           placeholder="Search..."
                                           name="search"
                                           id="searchbox">
                                    <button
                                            type="submit"
                                            class="flex items-center justify-center px-4"
                                            id="searchsubmit">
                                        <svg class="w-6 h-6 text-gray-600" fill="currentColor"
                                             xmlns="http://www.w3.org/2000/svg"
                                             viewBox="0 0 24 24">
                                            <path
                                                    d="M16.32 14.9l5.39 5.4a1 1 0 0 1-1.42 1.4l-5.38-5.38a8 8 0 1 1 1.41-1.41zM10 16a6 6 0 1 0 0-12 6 6 0 0 0 0 12z"/>
                                        </svg>
                                    </button>
                                </div>
                            </div>
                            <div id="error"
                                 class="flex items-center justify-center font-bold w-full text-sm text-red-500 pt-3 hidden">
                                <span>You must enter at least 2 characters to search</span>
                            </div>
                            <div class="flex block w-full items-center justify-center">
                                <fieldset class="space-x-5">
                                    <div class="relative flex items-start space-x-7 mt-5">
                                        <p class="text-center text-xl mb-4">
                                            Search By :
                                        </p>
                                        <div class="flex h-5 items-center">
                                            <label for="movies" class="font-medium text-gray-700">
                                                <input id="movies" aria-describedby="movies-description"
                                                       name="movies"
                                                       type="checkbox"
                                                       class="h-6 w-6 -mb-1 mr-1 rounded border-gray-300 text-indigo-600 focus:ring-indigo-500"
                                                       checked> Movies</label>
                                        </div>
                                        <div class="flex h-5 items-center">
                                            <label for="shows" class="font-medium text-gray-700">
                                                <input id="shows"
                                                       aria-describedby="shows-description"
                                                       name="shows"
                                                       type="checkbox"
                                                       class="h-6 w-6 -mb-1 mr-1 rounded border-gray-300 text-indigo-600 focus:ring-indigo-500"
                                                       checked> Shows</label>
                                        </div>
                                        <div class="flex h-5 items-center">
                                            <label for="episodes" class="font-medium text-gray-700">
                                                <input id="episodes"
                                                       aria-describedby="episodes-description"
                                                       name="episodes"
                                                       type="checkbox"
                                                       class="h-6 w-6 -mb-1 mr-1 rounded border-gray-300 text-indigo-600 focus:ring-indigo-500"
                                                       checked> Episodes</label>
                                        </div>
                                    </div>
                                </fieldset>
                            </div>
                        </form>

                    </div>

                    <div class="hidden" id="filtered_search">
                        <div class="flex flex-col items-center justify-center">
                            <p class="text-center text-xl mb-3 mt-4">Search By Filters</p>
                            <div id="types" class="flex flex-row mt-6 justify-center gap-7">
                                <div class="flex">
                                    <button type="button" data-value="Movies" class="rounded-full hover:transition duration-500 ease-in hover:rounded-xl  h-24 w-24 bg-black opacity-75 text-white justify-content-center border-2">
                                        Movies
                                    </button>
                                </div>
                                <div class="flex">
                                    <button type="button" data-value="Series" class="rounded-full hover:transition duration-500 ease-in hover:rounded-xl  h-24 w-24 bg-black opacity-75 text-white justify-content-center border-2">
                                        Series
                                    </button>
                                </div>
                                <div class="flex">
                                    <button type="button" data-value="Genre" class="rounded-full hover:transition duration-500 ease-in hover:rounded-xl  h-24 w-24 bg-black opacity-75 text-white justify-content-center border-2">
                                        Genre
                                    </button>
                                </div>
                            </div>
                            <div id="movie_filters" class="flex flex-wrap mt-10 justify-center gap-7 hidden">
                                <x-orion-filter-option query="new"   type="movie" category="list">New Releases</x-orion-filter-option>
                                <x-orion-filter-option query="disc"  type="movie" category="list">Disc Releases</x-orion-filter-option>
                                <x-orion-filter-option query="rated" type="movie" category="list">Top Rated</x-orion-filter-option>
                                <x-orion-filter-option query="best"  type="movie" category="list">Must Watch</x-orion-filter-option>
                                <x-orion-filter-option query="award" type="movie" category="list">Award Winner</x-orion-filter-option>
                                <x-orion-filter-option query=""      type="movie" category="popular">Most Popular</x-orion-filter-option>
                                <x-orion-filter-option query=""      type="movie" category="trending">New Trending</x-orion-filter-option>
                                <x-orion-filter-option query=""      type="movie" category="boxoffice">Box Office</x-orion-filter-option>
                            </div>
                            <div id="series_filters" class="flex flex-wrap mt-10 justify-center gap-7 hidden">
                                <x-orion-filter-option query=""      type="show" category="releases">New Seasons</x-orion-filter-option>
                                <x-orion-filter-option query=""      type="show" category="calendar">New Episodes</x-orion-filter-option>
                                <x-orion-filter-option query="rated" type="show" category="list">Top Rated</x-orion-filter-option>
                                <x-orion-filter-option query="best"  type="show" category="list">Must Watch</x-orion-filter-option>
                                <x-orion-filter-option query="award" type="show" category="list">Award Winner</x-orion-filter-option>
                                <x-orion-filter-option query=""      type="show" category="popular">Most Popular</x-orion-filter-option>
                                <x-orion-filter-option query=""      type="show" category="trending">New Trending</x-orion-filter-option>
                            </div>
                            <div id="genre_filters" class="flex flex-wrap mt-10 justify-center gap-7 hidden">
                                <x-orion-filter-option query="action"         type="movie" category="list">Action</x-orion-filter-option>
                                <x-orion-filter-option query="adventure"      type="movie" category="list">Adventure</x-orion-filter-option>
                                <x-orion-filter-option query="animation"      type="movie" category="list">Animation</x-orion-filter-option>
                                <x-orion-filter-option query="comedy"         type="movie" category="list">Comedy</x-orion-filter-option>
                                <x-orion-filter-option query="crime"          type="movie" category="list">Crime</x-orion-filter-option>
                                <x-orion-filter-option query="documentary"    type="movie" category="list">Documentary</x-orion-filter-option>
                                <x-orion-filter-option query="drama"          type="movie" category="list">Drama</x-orion-filter-option>
                                <x-orion-filter-option query="family"         type="movie" category="list">Family</x-orion-filter-option>
                                <x-orion-filter-option query="fantasy"        type="movie" category="list">Fantasy</x-orion-filter-option>
                                <x-orion-filter-option query="history"        type="movie" category="list">History</x-orion-filter-option>
                                <x-orion-filter-option query="horror"         type="movie" category="list">Horror</x-orion-filter-option>
                                <x-orion-filter-option query="mindfuck"       type="movie" category="list">Mind Fuck</x-orion-filter-option>
                                <x-orion-filter-option query="mystery"        type="movie" category="list">Mystery</x-orion-filter-option>
                                <x-orion-filter-option query="music"          type="movie" category="list">Music</x-orion-filter-option>
                                <x-orion-filter-option query="romance"        type="movie" category="list">Romance</x-orion-filter-option>
                                <x-orion-filter-option query="sciencefiction" type="movie" category="list">Sci-Fi</x-orion-filter-option>
                                <x-orion-filter-option query="superhero"      type="movie" category="list">Superhero</x-orion-filter-option>
                                <x-orion-filter-option query="thriller"       type="movie" category="list">Thriller</x-orion-filter-option>
                                <x-orion-filter-option query="war"            type="movie" category="list">War</x-orion-filter-option>
                                <x-orion-filter-option query="western"        type="movie" category="list">Western</x-orion-filter-option>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="bg-white rounded mt-10 text-center">
                <p class="pt-5">Search Results</p>
                <ul role="list" class="grid grid-cols-1 gap-6 sm:grid-cols-2 lg:grid-cols-3 p-3" id="search_results">

                </ul>
            </div>
        </div>
    </div>
    <x-orion-links-modal hidden="hidden"></x-orion-links-modal>
    <div class="loader-spinner hidden flex-col absolute z-20 top-0 min-h-screen min-w-full items-center justify-center">
        <x-svg-loader/>
        <p class="text-center text-5xl leading-loose">Loading Your Selection...<br/>Please Wait</p>
    </div>
    <div class="loader-spinner hidden flex bg-gray-200 absolute opacity-75 z-10 top-0 min-h-screen min-w-full"></div>


    @section('scripts')
    <script>
        document.addEventListener('DOMContentLoaded', () => {
		    document.querySelectorAll('#types button').forEach((el) => {
                el.addEventListener('click', showTypeOptions)
            })

            document.querySelectorAll('.orion-filter').forEach((el) => {
                el.addEventListener('click', processFilteredSearch);
            })

            document.getElementById('manual_search_form').addEventListener('submit', processManualSearch);
            document.getElementById('searchbox').addEventListener('keyup', processManualSearch);
            document.getElementById('search_tabs').addEventListener('click', toggleTabs)
        })

        let searchResults = document.getElementById('search_results');

        function showTypeOptions(event) {
            let type = event.target.dataset.value;
            hideAllTypeFilters();
            toggleTypeOptions(type)
            resetBackgrounds()
            event.target.classList.remove('bg-black');
            event.target.classList.add('bg-blue-500');
        }

        function hideAllTypeFilters() {
            document.getElementById('movie_filters').classList.add('hidden');
            document.getElementById('series_filters').classList.add('hidden');
            document.getElementById('genre_filters').classList.add('hidden');
        }

        function toggleTypeOptions(type) {
            if (type === "Movies") {
                document.getElementById('movie_filters').classList.remove('hidden');
            } else if (type === "Series") {
                document.getElementById('series_filters').classList.remove('hidden');
            } else if (type === "Genre") {
                document.getElementById('genre_filters').classList.remove('hidden');
            } else {
                alert('Unable to detect selection');
            }
        }

        function resetBackgrounds() {
            document.querySelectorAll('#types button').forEach((el) => {
                el.classList.remove('bg-blue-500')
                el.classList.add('bg-black')
            })
        }

        function toggleTabs(event) {
            if (event.target.parentElement.id === 'search_name' || event.target.id === "search_name") {
                document.getElementById('search_filters').classList.add('text-gray-500')
                document.getElementById('search_filters').classList.remove('text-gray-900')
                document.getElementById('search_name').classList.add('text-gray-900')
                document.getElementById('search_name').classList.remove('text-gray-500')
                document.getElementById('filtered_search').classList.add('hidden') // OK
                document.getElementById('manual_search').classList.remove('hidden') // OK
                document.getElementById('search_filter_span').classList.remove('bg-indigo-500')
                document.getElementById('search_filter_span').classList.add('bg-transparent')
                document.getElementById('search_name_span').classList.add('bg-indigo-500')
                //
            }

            if (event.target.parentElement.id === 'search_filters' || event.target.id === "search_filters") {
                document.getElementById('search_name').classList.add('text-gray-500')
                document.getElementById('search_name').classList.remove('text-gray-900')
                document.getElementById('search_filters').classList.add('text-gray-900')
                document.getElementById('search_filters').classList.remove('text-gray-500')
                document.getElementById('filtered_search').classList.remove('hidden') // OK
                document.getElementById('manual_search').classList.add('hidden') // OK
                document.getElementById('search_name_span').classList.remove('bg-indigo-500')
                document.getElementById('search_filter_span').classList.add('bg-indigo-500')
                document.getElementById('search_filter_span').classList.remove('bg-transparent')

            }
        }

        const serializeForm = function (form) {
            let obj = {};
            let formData = new FormData(form);
            for (let key of formData.keys()) {
                obj[key] = formData.get(key);
            }
            return obj;
        };

        function processManualSearch(event) {

            event.preventDefault();
            const value = document.getElementById('searchbox').value;

            if (value.length < 2) {
                document.getElementById('error').classList.remove('hidden')
                return
            } else if (value.length >= 2 && event.type === "keyup") {
                document.getElementById('error').classList.add('hidden')
                return
            }

            document.getElementById('searchsubmit').disabled = true;
            toggleSpinner();
            fetch('/search', {
                method: 'POST',
                mode: 'same-origin',
                headers:{
                    'Content-Type': 'application/json',
                    "X-CSRF-Token": document.head.querySelector('meta[name="csrf-token"]').content,
                },
                body:  JSON.stringify(serializeForm(event.target)),
            })
            .then((response) => response.json())
            .then((data) => {
                document.getElementById('searchsubmit').disabled = false;
                toggleSpinner()
                if (data.status === 'success') {
                    searchResults.innerHTML = data.html;
                }
            })
        }

        function processFilteredSearch(event) {
            event.preventDefault();
            document.querySelectorAll('.orion-filter').disabled = true;
            toggleSpinner();

            fetch('/search-filtered', {
                method: 'POST',
                mode: 'same-origin',
                headers:{
                    'Content-Type': 'application/json',
                    "X-CSRF-Token": document.head.querySelector('meta[name="csrf-token"]').content,
                },
                body: JSON.stringify({
                    "type": event.target.dataset.type,
                    "queryString": event.target.dataset.query,
                    "category": event.target.dataset.category
                })
            })
            .then((response) => response.json())
            .then((data) => {
                document.querySelectorAll('.orion-filter').disabled = false;
                toggleSpinner();
                if (data.status === 'success') {
                    searchResults.innerHTML = data.html;
                }
            })
            .catch((error) => {
                document.querySelectorAll('.orion-filter').disabled = false;
                toggleSpinner();
                console.error("Looks like there was an Error: " + error)
            })
        }

        function getMovieLinks(formId) {
            let form = document.getElementById(formId);

            fetch('links/movie/get', {
                method: 'POST',
                mode: 'same-origin',
                headers:{
                    'Content-Type': 'application/json',
                    "X-CSRF-Token": document.head.querySelector('meta[name="csrf-token"]').content,
                },
                body: JSON.stringify(serializeForm(form))
            })
            .then((response) => response.json())
            .then((data) => {
                toggleSpinner()
                if (data.status === 'success') {
                    document.getElementById('links-content').innerHTML = data.html;
                    document.getElementById('orion-links-modal').classList.remove('hidden')
                }
            })
            .catch((error) => {
                toggleSpinner()
                alert('An Error Has Occurred')
                console.error("Looks like there was an Error: " + error)
            })

        }

        function getStreamSample(event) {
            event.preventDefault()
            let container = document.getElementById('video-container');
            let video = document.getElementById('video-content') ?? null;
            if (video) {
                video.remove();
            }

            toggleSpinner()

            const orionId = event.target.dataset.streamid;
            const streamId = event.target.closest('tr').dataset.key

            fetch('links/stream/get', {
                method: 'POST',
                mode: 'same-origin',
                headers:{
                    'Content-Type': 'application/json',
                    "X-CSRF-Token": document.head.querySelector('meta[name="csrf-token"]').content,
                },
                body: JSON.stringify({
                    "orionId": orionId,
                    "streamId": streamId
                })
            })
            .then((response) => response.json())
            .then((data) => {
                if (data.result.type === "debridbusy" && data.result.description === "Download Busy") {
                    toggleSpinner();
                    alert('Preview Video for this Link is not available.')
                } else if (data.status === 'success') {
                    let container = document.getElementById('video-container')
                    let video = document.createElement('video');
                    video.setAttribute('id', 'video-content');
                    video.setAttribute('src', data.data.data.files[0].original.link)
                    video.setAttribute('type', 'video/' + data.data.data.files[0].original.extension)
                    video.setAttribute('controls', null)
                    video.classList.add('mx-auto', 'aspect-video', 'h-96');
                    container.appendChild(video)

                    toggleSpinner()
                }
            })
            .catch((error) => {
                toggleSpinner()
                alert('An Error Has Occurred: ' + error)
            })
        }

        function toggleSpinner() {
            let elems = document.querySelectorAll('.loader-spinner')
            elems.forEach (( elem ) => {
                if ( elem.classList.contains('hidden') ) {
                    elem.classList.remove('hidden');
                    return;
                }

                elem.classList.add('hidden');
            })
        }

        function getLinks(event) {
            event.preventDefault();
            let button = "";

            if (event.target.nodeName === "BUTTON") {
                button = event.target;
            }

            if (event.target.nodeName === "SPAN" || event.target.nodeName === "span") {
                button = event.target.closest('button');
            }

            if (button.dataset.type === "movie") {
                let formId = button.dataset.formid
                toggleSpinner()
                return getMovieLinks(formId);
            }

            if (button.dataset.type === "show") {
                let formId = button.dataset.formid
                toggleSpinner()
                return getShowLinks(formId);
            }
        }

        function getShowLinks(formId) {
            let form = document.getElementById(formId);

            fetch('links/shows/get', {
                method: 'POST',
                mode: 'same-origin',
                headers:{
                    'Content-Type': 'application/json',
                    "X-CSRF-Token": document.head.querySelector('meta[name="csrf-token"]').content,
                },
                body: JSON.stringify(serializeForm(form)),
            })
            .then((response) => response.json())
            .then((data) => {
                toggleSpinner()
                if (data.status === 'success') {
                    document.getElementById('links-content').innerHTML = data.html;
                    document.getElementById('orion-links-modal').classList.remove('hidden')
                }
            })
            .catch((error) => {
                toggleSpinner()
                alert('An Error Has Occurred')
                console.error("Looks like there was an Error: " + error)
            })
        }

        function requestLink(event) {
            event.preventDefault()
            let form = event.target.closest('form')

            fetch('links/request', {
                method: 'POST',
                mode: 'same-origin',
                headers: {
                    'Content-Type': 'application/json',
                    "X-CSRF-Token": document.head.querySelector('meta[name="csrf-token"]').content,
                },
                body: JSON.stringify(serializeForm(form))
            })
            .then((response) => response.json())
            .then((data) => {
                alert(data.message)
            })
            .catch((error) => {
                alert(data.message)
            })
        }



    </script>
    @endsection('scripts')
</x-app-layout>

